package color_test

import (
	"io"
	"testing"

	"git.akyoto.dev/go/color"
)

func BenchmarkRGB(b *testing.B) {
	for i := 0; i < b.N; i++ {
		color.RGB(1.0, 1.0, 1.0)
	}
}

func BenchmarkLCH(b *testing.B) {
	for i := 0; i < b.N; i++ {
		color.LCH(0.5, 0.5, 0.0)
	}
}

func BenchmarkFprintColorized(b *testing.B) {
	color.Terminal = true
	c := color.RGB(1.0, 1.0, 1.0)

	for i := 0; i < b.N; i++ {
		c.Fprint(io.Discard, "")
	}
}

func BenchmarkFprintRaw(b *testing.B) {
	color.Terminal = false
	c := color.RGB(1.0, 1.0, 1.0)

	for i := 0; i < b.N; i++ {
		c.Fprint(io.Discard, "")
	}
}
